Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class DebugOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.compile.DebugOptions

    public class DebugOptions
    extends AbstractOptions

Debug options for Java compilation. Only take effect if CompileOptions#debug#debug is set to `true`.

Authors:
  Hans Dockter

Method Summary
`protected Map` | `fieldName2AntMap()` Internal method.
`String` | `getDebugLevel()` Tells which debugging information is to be generated.
`void` | `setDebugLevel(String debugLevel)` Sets which debug information is to be generated.

Methods inherited from class AbstractOptions
define, excludedFieldsFromOptionMap, fieldName2AntMap, fieldValue2AntMap, optionMap

Method Detail

### fieldName2AntMap

    protected Map fieldName2AntMap()

  Internal method.

### getDebugLevel

    @Input
    @Optional
    public String getDebugLevel()

  Tells which debugging information is to be generated. The value is a comma-separated list of any of the following keywords (without spaces in between):
  `source`
    Source file debugging information
  `lines`
    Line number debugging information
  `vars`
    Local variable debugging information
  By default, only source and line debugging information will be generated.

### setDebugLevel

    public void setDebugLevel(String debugLevel)

  Sets which debug information is to be generated.

Gradle API 1.1-rc-1